Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions(), NonPersistent, CreatableItem(False), NavigationItem(False)> _
<Appearance("Hide ReInvoice_Customers if IsReinvoice is false", AppearanceItemType.ViewItem, "IsReinvoice=False", TargetItems:="ReInvoice_Customers", visibility:=Editors.ViewItemVisibility.Hide)> _
Public Class RegistryTaskGoToNewtStepWithGLAccount
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Browsable(False)> _
    Property CustomersFrom As CustomersFrom

    Property Controlling As Controlling
    Property UniqueObjects As UniqueObjects
    Property JobNumberObjects As JobNumberObjects
    Property CostHolder As CostHolder
    Property CostPlace As CostPlace
    <ImmediatePostData()> _
    Property IsReinvoice As Boolean = False

    <VisibleInListView(False), VisibleInDetailView(False), VisibleInLookupListView(False)> _
    Property SelectedTasks As ArrayList

End Class

